*** x86/x86/mca.c	2015-01-06 08:21:59.000000000 +0100
--- /tmp/mca.c	2015-04-20 08:03:01.000000000 +0200
***************
*** 30,36 ****
   */
  
  #include <sys/cdefs.h>
! __FBSDID("$FreeBSD: head/sys/x86/x86/mca.c 269242 2014-07-29 14:54:23Z marius $");
  
  #ifdef __amd64__
  #define	DEV_APIC
--- 30,36 ----
   */
  
  #include <sys/cdefs.h>
! __FBSDID("$FreeBSD$");
  
  #ifdef __amd64__
  #define	DEV_APIC
***************
*** 251,265 ****
  {
  
  	/*
! 	 * Skip spurious corrected parity errors generated by desktop Haswell
! 	 * (see HSD131 erratum) unless reporting is enabled.
! 	 * Note that these errors also have been observed with D0-stepping,
! 	 * while the revision 014 desktop Haswell specification update only
! 	 * talks about C0-stepping.
  	 */
! 	if (rec->mr_cpu_vendor_id == CPU_VENDOR_INTEL &&
! 	    rec->mr_cpu_id == 0x306c3 && rec->mr_bank == 0 &&
! 	    rec->mr_status == 0x90000040000f0005 && !intel6h_HSD131)
  	    	return (1);
  
  	return (0);
--- 251,274 ----
  {
  
  	/*
! 	 * Skip spurious corrected parity errors generated by Intel Haswell-
! 	 * and Broadwell-based CPUs (see HSD131, HSM142, HSW131 and BDM48
! 	 * erratum respectively), unless reporting is enabled.
! 	 * Note that these errors also have been observed with the D0-stepping
! 	 * of Haswell, while at least initially the CPU specification updates
! 	 * suggested only the C0-stepping to be affected.  Similarly, Celeron
! 	 * 2955U with a CPU ID of 0x45 apparently are also concerned with the
! 	 * same problem, with HSM142 only referring to 0x3c and 0x46.
  	 */
! 	if (cpu_vendor_id == CPU_VENDOR_INTEL &&
! 	    CPUID_TO_FAMILY(cpu_id) == 0x6 &&
! 	    (CPUID_TO_MODEL(cpu_id) == 0x3c ||	/* HSD131, HSM142, HSW131 */
! 	    CPUID_TO_MODEL(cpu_id) == 0x3d ||	/* BDM48 */
! 	    CPUID_TO_MODEL(cpu_id) == 0x45 ||
! 	    CPUID_TO_MODEL(cpu_id) == 0x46) &&	/* HSM142 */
! 	    rec->mr_bank == 0 &&
! 	    (rec->mr_status & 0xa0000000ffffffff) == 0x80000000000f0005 &&
! 	    !intel6h_HSD131)
  	    	return (1);
  
  	return (0);
